Summary: Tools to manage multipath devices using device-mapper.
Name: device-mapper-multipath
Version: 0.4.5
Release: 6.0.RHEL4.XOS.1
License: GPL
Group: System Environment/Base
URL: http://christophe.varoqui.free.fr/
Source0: multipath-tools-0.4.5.49.tgz
Patch0: dont_overwrite_conf.patch
Patch1: symmetrix_getuid.patch
Patch2: mpathctl.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: sysfsutils-devel,device-mapper

%description
%{name} provides tools to manage multipath devices by instructing the 
device-mapper multipath kernel module what to do. 
The tools are :
* multipath :   Scan the system for multipath devices and assemble them.
* multipathd :  Detects when paths fail and execs multipath to update things.
* kpartx :      Makes multipath devices partitionable.

%prep
%setup -q -n multipath-tools-0.4.5.49
%patch0 -p1 -b .conf
%patch1 -p1 -b .symmetrix
%patch2 -p1 -b .mpathctl

%build
make DESTDIR=$RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT bindir=/sbin rcdir=/etc/rc.d/init.d

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add multipathd

%preun
if [ "$1" = 0 ]; then
        /sbin/chkconfig --del multipathd
fi

%files
%defattr(-,root,root,-)
/sbin/multipath
/sbin/multipath.static
/sbin/mpath_ctl
/sbin/kpartx
/sbin/kpartx.static
/sbin/multipathd
/sbin/mpath_prio_alua
/sbin/mpath_prio_emc
/etc/udev/rules.d/40-multipath.rules
/etc/dev.d/block/multipath.dev
%{_mandir}/man8/kpartx.8.gz
%{_mandir}/man8/multipath.8.gz
%{_mandir}/man8/multipathd.8.gz
%config /etc/rc.d/init.d/multipathd
%config(noreplace) /etc/multipath.conf
%doc AUTHOR COPYING README* FAQ multipath.conf.annotated multipath.conf.synthetic multipath/multipath.dev
/var/cache/multipath

%changelog
* Fri Nov 11 2005 X/OS Linux Team <xoslinux@xos.nl> 0.4.5-6.0.RHEL4.XOS.1
- Build for X/OS Linux 4.
- X/OS Linux source rpm based on device-mapper-multipath-0.4.5-6.0.RHEL4.src.rpm
  (md5sum of original source rpm: db677e786cfff28508423f66c1921b81).

* Fri Sep 1 2005 Alasdair Kergon <agk@redhat.com> -0.4.5-6.0
- Fixes to mpath_ctl comms. [167199]

* Tue Aug 2 2005 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-5.1
- Add Ed Goggin's Symmetrix getuid fix

* Tue Aug 2 2005 Benjamin Marzinski <bmarzins@redhat.com> -0.4.5-5.0
- Update to latest upstream source (t0_4_5_post49)
- move multipath.rules back to /udev/rules.d/
- make sure that the default multipath.conf only installs when there is no
  existing config file.

* Fri Jul 29 2005 Alasdair Kergon <agk@redhat.com> - 0.4.5-4.1
- Remove example initrd scripts from docs.
- Move multipath.rules back to docs until it's cleaned up.

* Thu Jul 28 2005 Benjamin Marzinski <bmarzins@redhat.com> - 0.4.5-4.0
- Update to latest upstream source (t0_4_5_post48)

* Thu Jul 21 2005 Benjamin Marzinski <bmarzins@redhat.com> - 0.4.5-3.0
- Update to latest upstream source (t0_4_5_post47)
- remove merged patches

* Fri Jun 10 2005 Alasdair Kergon <agk@redhat.com> - 0.4.5-2.1
- Rename path_priority binaries.

* Fri Jun 10 2005 Alasdair Kergon <agk@redhat.com> - 0.4.5-2.0
- Include path_priority binaries in the build.

* Fri Jun 10 2005 Alasdair Kergon <agk@redhat.com> - 0.4.5-1.0
- Update to latest upstream source (t0_4_5_post44).
- Add kpartx.static and multipath.static.

* Fri May 06 2005 Bill Nottingham <notting@redhat.com> - 0.4.4-2.3
- Fix last fix.

* Thu May 05 2005 Alasdair Kergon <agk@redhat.com> - 0.4.4-2.2
- Fix last fix.

* Tue May 03 2005 Alasdair Kergon <agk@redhat.com> - 0.4.4-2.1
- By default, disable the multipathd service.

* Tue Apr 19 2005 Alasdair Kergon <agk@redhat.com> - 0.4.4-2.0
- Fix core dump from last build.

* Tue Apr 19 2005 Alasdair Kergon <agk@redhat.com> - 0.4.4-1.0
- Move cache file into /var/cache/multipath.

* Fri Apr 08 2005 Alasdair Kergon <agk@redhat.com> - 0.4.4-0.pre8.1
- Remove pp_balance_units.

* Mon Apr 04 2005 Alasdair Kergon <agk@redhat.com> - 0.4.4-0.pre8.0
- Incorporate numerous upstream fixes.

* Mon Apr 04 2005 Alasdair Kergon <agk@redhat.com> - 0.4.2-2.0
- Update init script to distribution standards.

* Tue Mar 01 2005 Alasdair Kergon <agk@redhat.com> - 0.4.2-1.0
- Initial import based on Christophe Varoqui's spec file.
